package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.DealStatusEnum;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/2/18
 */
public class PracticeBuyResultDto {

    private String orderNo;

    private DealStatusEnum status;

    private BigDecimal price;

    private Date createTime;

    private String teacherName;

    private Date courseStartTime;

    private Date courseEndTime;

    private String drillTimesJson;

    private String type;

    private Object detail;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public DealStatusEnum getStatus() {
        return status;
    }

    public void setStatus(DealStatusEnum status) {
        this.status = status;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Date getCourseStartTime() {
        return courseStartTime;
    }

    public void setCourseStartTime(Date courseStartTime) {
        this.courseStartTime = courseStartTime;
    }

    public Date getCourseEndTime() {
        return courseEndTime;
    }

    public void setCourseEndTime(Date courseEndTime) {
        this.courseEndTime = courseEndTime;
    }

    public String getDrillTimesJson() {
        return drillTimesJson;
    }

    public void setDrillTimesJson(String drillTimesJson) {
        this.drillTimesJson = drillTimesJson;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Object getDetail() {
        return detail;
    }

    public void setDetail(Object detail) {
        this.detail = detail;
    }
}
